YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
3answers
427 views

yum fails installing php53-devel.x86_64

I need to recompile php on a Fedora server because I need to use the --enable-zip flag. When trying to install the devel package, I get the following message. This is after a 'yum clean all': yum ...
-1
votes
3answers
937 views

yum won't update my glibc packages

Is there any way to fix corrupted "yum"? This is what I got myself into by accidentally pressing ctrl+c while doing sudo yum update on an amazon linux EC2 instance $ sudo yum update Loaded plugins: ...
1
vote
2answers
188 views

No package blktrace available

I could not install blktrace in my redhat5.8 OS. yum install blktrace Loaded plugins: katello, product-id, security, subscription-manager Updating certificate-based repositories. Unable to read ...
1
vote
2answers
2k views

Install Tomcat7 on EC2

I'm trying to install Tomcat7 on an Amazon EC2 instance, but it doesn't work. Below is the console output: [ec2-user@ip-XXX ~]$ sudo yum install tomcat7 Loaded plugins: amazon-id, rhui-lb, security ...
1
vote
2answers
618 views

php-common causing conflict

I'm trying to install php-pdo but it always fails because of php-common bash-3.2# yum install php-pdo Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * epel: ...
1
vote
2answers
258 views

Install gettext-0.17-1.el5.i386.rpm on CentOS 5.8 i386 gives “/usr/bin/python is needed” error

I've removed yum by mistake. So, now I'm installing all the dependencies needed by yum manually. One of those is gettext-0.17-1.el5.i386.rpm and when I try to install it gives the following error, ...
1
vote
2answers
200 views

PHP Page Stopped outputting content After Running “yum install php-devel” Command

This error is bizarre but after running the "yum install php-devel" command (after a long day of trying to install Facedetect and OpenCV for face detection) my site stopped functioning. The site uses ...
1
vote
2answers
556 views

Yum lock file problem

When there are more than 1 copies of yum running, I get this error: Another app is currently holding the yum lock; waiting for it to exit Is there a way to make yum just exit the first time it ...
0
votes
2answers
54 views

Centos Yum Repo Issues

I'm trying to enable the REMI repo by executing the below command: rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-5.rpm as a result I keep getting: package ...
0
votes
2answers
34 views

Control the order yum dependencies are installed?

I need to install an application that has 4 dependencies (output from .spec file): Requires: PA-KBU-KBUONE-SHARED Requires: PA-KBU-KBUONE-PLI-CONF Requires: PA-KBU-KBUONE-PLA-CONF Requires: ...
0
votes
2answers
5k views

How to fix “Cannot retrieve repository metadata (repomd.xml)” in CentOS?

I've tried yum update yum and yum clean all, but neither help to resolve the following problem: # yum install httpd --installroot=/opt/httpd2 Loaded plugins: fastestmirror Loading mirror speeds from ...
0
votes
2answers
509 views

Yum repository configuration on Amazon EC2 instance

I'm trying to install postgis on an Amazon EC2 instance, the instance is running Red Hat, and by following this tutorial: http://wiki.postgresql.org/wiki/YUM_Installation#Configure_your_YUM_repository ...
0
votes
2answers
2k views

How to install MariaDB rpms in CentOS 6.4 using rpm (not yum cmd) + handling mysql-libs conflicts

I need to script the install of MariaDB using the rpm command in CentOS 6.4. I can't use yum since it's going to be an offline install so there's no access to the repository. The only MySQL package ...
0
votes
2answers
419 views

Cannot install php-intl on CentOS

When I run: yum install php-intl I get this error: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.as29550.net * epel: ftp.nluug.nl * extras: ...
0
votes
2answers
573 views

php 5.3 and libxml2 nightmare

My CentOS 5.7 ships with libxml2 2.6.26 that is very outdated and also causes many problems with my current PHP 5.3.3. I need to update libxml2 to 2.7.8 version or at least 2.7.3+ i've readed many ...
0
votes
2answers
177 views

Error after running yum update mysql

I have a redhat linux server. I ran yum update mysql and it worked fine. The problem is that when I went to phpMyAdmin all of the databases were deleted. So I used "import" to import the database ...
0
votes
2answers
151 views

Fedora Core yum update cpio error

Any idea why I'm getting these errors when running: yum update http://pastie.org/private/7x4pez9duzxvmb6lgeyrgq I've never had a problem with that command in the past.
0
votes
1answer
575 views

yum install kernel source

I'm installing dahdi on my Fedora 15 machine and when I try to build, I receive the following error You do not appear to have the sources for the 2.6.38.6-27.fc15.x86_64 kernel installed. The ...
0
votes
1answer
23 views

yum to install fails on default empty server

I used to download Fedora from site X, for example, but lately the site has not updated itself with new packages, therefore commands used to install any of those packages report back with errors as ...
0
votes
1answer
39 views

Getting PHP5 To install

It seems I am stuck with a 4yo build of PHP (PHP4.3.9 Built: 2007) and I am trying to upgrade. Right now, it's like a traffic puzzle, or a vicious cycle, whatever you want to call it. I try to upgrade ...
0
votes
1answer
506 views

php 5.2 repository

I'm quite a noob at configuring servers. Anyway, I'm running CentOS 5 and I've been meaning to install the php-xml package for my PHP 5.2.17. This server runs proprietary software which requires PHP ...
0
votes
1answer
677 views

Missing Dependency Errors when Installing OpenVas Server

I'm trying to install OpenVAS on Red Hat Enterprise Linux 5.5. I've successfully run yum install openvas-client, but yum install openvas-server prints the following errors: --> Finished Dependency ...
0
votes
1answer
139 views

Remote Yum mirror

I have a bunch of remote computers that must be updated to the most recent packages for RedHat 4 and RedHat 5. I am using mrepo to mirror the RHN packages, however the remote computers do not have an ...
-1
votes
1answer
196 views

Fedora update fails for “filesystem” package

I have Fedora 19 currently installed and the filesystem package has shown up in the updates. I find it a little peculiar on how to actually update the filesystem package. Running transaction ...
-1
votes
1answer
29 views

Versions of Package with YUM

I want to know which versions of the same package were previously installed with YUM. For example if I have a package that it version is 4.0, I should need to know the previously versions installed
-1
votes
1answer
128 views

Solving mysql 2003 error

Hi I've just created my new linux server and have yum installed various modules which all seem to be working ok now. My trouble comes from mysql. It's installed and running but when I and connect from ...
-1
votes
1answer
791 views

YUM error. Is this a cert error

Nov 13 13:38:57 host abrt: detected unhandled Python exception in '/usr/bin/yum' Nov 13 13:38:57 host abrtd: New client connected Nov 13 13:38:57 host abrt-server[3508]: Saved Python crash dump of pid ...